﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CONM_CONTPARTIES', 'T_CONM_CONTPARTIES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTPARTIES_NUM') CREATE INDEX IDX_CONM_CONTPARTIES_NUM ON T_CONM_CONTPARTIES ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_CONTPARTIES_L', 'T_CONM_CONTPARTIES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTPARTIES_L_FID') CREATE INDEX IDX_CONM_CONTPARTIES_L_FID ON T_CONM_CONTPARTIES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_PURENDAGRT', 'T_CONM_PURENDAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURENDAGRT_BILLNO') CREATE INDEX IDX_CONM_PURENDAGRT_BILLNO ON T_CONM_PURENDAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURENDAGRT_ORG') CREATE INDEX IDX_CONM_PURENDAGRT_ORG ON T_CONM_PURENDAGRT ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_PURSUPAGRT', 'T_CONM_PURSUPAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURSUPAGRT_BILLNO') CREATE INDEX IDX_CONM_PURSUPAGRT_BILLNO ON T_CONM_PURSUPAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURSUPAGRT_ORG') CREATE INDEX IDX_CONM_PURSUPAGRT_ORG ON T_CONM_PURSUPAGRT ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALENDAGRT', 'T_CONM_SALENDAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALENDAGRT_BILLNO') CREATE INDEX IDX_CONM_SALENDAGRT_BILLNO ON T_CONM_SALENDAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALENDAGRT_ORG') CREATE INDEX IDX_CONM_SALENDAGRT_ORG ON T_CONM_SALENDAGRT ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALSUPAGRT', 'T_CONM_SALSUPAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALSUPAGRT_BILLNO') CREATE INDEX IDX_CONM_SALSUPAGRT_BILLNO ON T_CONM_SALSUPAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALSUPAGRT_ORG') CREATE INDEX IDX_CONM_SALSUPAGRT_ORG ON T_CONM_SALSUPAGRT ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_REVIEWAPPLY', 'T_CONM_REVIEWAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_REVIEWAPPLY_BILLNO') CREATE INDEX IDX_CONM_REVIEWAPPLY_BILLNO ON T_CONM_REVIEWAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_REVIEWAPPLY_ORG') CREATE INDEX IDX_CONM_REVIEWAPPLY_ORG ON T_CONM_REVIEWAPPLY ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_FILINGAPPLY', 'T_CONM_FILINGAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_FILINGAPPLY_BILLNO') CREATE INDEX IDX_CONM_FILINGAPPLY_BILLNO ON T_CONM_FILINGAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_FILINGAPPLY_ORG') CREATE INDEX IDX_CONM_FILINGAPPLY_ORG ON T_CONM_FILINGAPPLY ( FORGID ,FBIZTIME ,FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
