﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_CONTPARTIES') 
 CREATE TABLE T_CONM_CONTPARTIES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREPRESENTATIVEORGID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(255),
FREPRESENTATIVE NVARCHAR(255),
FADDRESS NVARCHAR(512),
FCONTACTS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_CONTPARTIES_L') 
 CREATE TABLE T_CONM_CONTPARTIES_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_PURENDAGRT') 
 CREATE TABLE T_CONM_PURENDAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEEND DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512),
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWDATE DATETIME,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_PURSUPAGRT') 
 CREATE TABLE T_CONM_PURSUPAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512),
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_SALENDAGRT') 
 CREATE TABLE T_CONM_SALENDAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEEND DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512),
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWDATE DATETIME,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_SALSUPAGRT') 
 CREATE TABLE T_CONM_SALSUPAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512),
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_REVIEWAPPLY') 
 CREATE TABLE T_CONM_REVIEWAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY1ST NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_FILINGAPPLY') 
 CREATE TABLE T_CONM_FILINGAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY1ST NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTITY') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLNUMBER') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTRYID') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTRYSEQ') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FARJOINQTY') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FARJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FJOINPRICEQTY') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FJOINPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACTENTRY_R' AND KSQL_COL_NAME ='FARAMOUNT') 
 ALTER TABLE T_CONM_SALCONTRACTENTRY_R ADD (FARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTITY') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLNUMBER') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTRYID') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FSRCBILLENTRYSEQ') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FJOINPAYABLEPRICEQTY') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FPAYABLEPRICEQTY') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACTENTRY_R' AND KSQL_COL_NAME ='FPAYABLEAMOUNT') 
 ALTER TABLE T_CONM_PURCONTRACTENTRY_R ADD (FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FFRAMENUM') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FFRAMENUM NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FFRAMENAME') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FFRAMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FFRAMEVERSION') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FFRAMEVERSION VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FCONTPARTIESID') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FCONTPARTIESID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FPARTY1ST') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FCONTACTPERSON1ST') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FCONTACTPERSON1ST NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FPHONE1ST') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FPHONE1ST VARCHAR(255) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FPARTY2ND') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FCONTACTPERSON2ND') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FCONTACTPERSON2ND NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FPHONE2ND') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FPHONE2ND VARCHAR(255) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FFILINGERID') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FFILINGERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FFILINGDATE') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FFILINGDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FREVIEWDATE') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FREVIEWDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FSIGNDATE') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FSIGNDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FTERMINATORID') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FTERMINATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FTERMINATEDATE') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FTERMINATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_S' AND KSQL_COL_NAME ='FPARTCID') 
 ALTER TABLE T_CONM_PURCONTRACT_S ADD (FPARTCID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_CONM_SALCONTRACT_C', 'FRECEIVEADDRESS', 'NVARCHAR(512)', 'NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FFRAMENUM') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FFRAMENUM NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FFRAMENAME') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FFRAMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FFRAMEVERSION') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FFRAMEVERSION VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FCONTPARTIESID') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FCONTPARTIESID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FPARTY1ST') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FPARTY1ST NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FCONTACTPERSON1ST') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FCONTACTPERSON1ST NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FPHONE1ST') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FPHONE1ST VARCHAR(255) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FPARTY2ND') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FPARTY2ND NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FCONTACTPERSON2ND') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FCONTACTPERSON2ND NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FPHONE2ND') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FPHONE2ND VARCHAR(255) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FFILINGERID') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FFILINGERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FFILINGDATE') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FFILINGDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FREVIEWDATE') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FREVIEWDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FSIGNDATE') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FSIGNDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FTERMINATORID') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FTERMINATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FTERMINATEDATE') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FTERMINATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_C' AND KSQL_COL_NAME ='FPARTCID') 
 ALTER TABLE T_CONM_SALCONTRACT_C ADD (FPARTCID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FBILLNAME') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FCATEGORYID') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FCATEGORYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FBIZMODE') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FBIZMODE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FCONMPROP') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FCONMPROP VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FISELECSIGNATURE') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FFILINGSTATUS') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FREVIEWSTATUS') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FSIGNSTATUS') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FTERMINATESTATUS') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FBILLNAME') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FCATEGORYID') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FCATEGORYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FBIZMODE') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FBIZMODE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FCONMPROP') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FCONMPROP VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FISELECSIGNATURE') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FFILINGSTATUS') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FREVIEWSTATUS') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FSIGNSTATUS') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FTERMINATESTATUS') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_F' AND KSQL_COL_NAME ='FISENTRYSUMAMT') 
 ALTER TABLE T_CONM_PURCONTRACT_F ADD (FISENTRYSUMAMT CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_F' AND KSQL_COL_NAME ='FPAIDPREALLAMOUNT') 
 ALTER TABLE T_CONM_PURCONTRACT_F ADD (FPAIDPREALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_F' AND KSQL_COL_NAME ='FPAIDALLAMOUNT') 
 ALTER TABLE T_CONM_PURCONTRACT_F ADD (FPAIDALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_F' AND KSQL_COL_NAME ='FISENTRYSUMAMT') 
 ALTER TABLE T_CONM_SALCONTRACT_F ADD (FISENTRYSUMAMT CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_F' AND KSQL_COL_NAME ='FPRERECEIPTALLAMOUNT') 
 ALTER TABLE T_CONM_SALCONTRACT_F ADD (FPRERECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_F' AND KSQL_COL_NAME ='FRECEIPTALLAMOUNT') 
 ALTER TABLE T_CONM_SALCONTRACT_F ADD (FRECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FBIZTYPEID') 
 ALTER TABLE T_CONM_TYPE ADD (FBIZTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FCONMPROP') 
 ALTER TABLE T_CONM_TYPE ADD (FCONMPROP VARCHAR(5) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
