﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CONM_TERMEXC', 'T_CONM_TERMEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMEXC_UO') CREATE INDEX IDX_CONM_TERMEXC_UO ON T_CONM_TERMEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_CONM_TERMUSEREG', 'T_CONM_TERMUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMUSEREG_CO') CREATE INDEX IDX_CONM_TERMUSEREG_CO ON T_CONM_TERMUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_CONM_TERM', 'T_CONM_TERM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERM_NUMBER') CREATE INDEX IDX_CONM_TERM_NUMBER ON T_CONM_TERM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_TERMGROUP', 'T_CONM_TERMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMGROUP_NUMBER') CREATE INDEX IDX_CONM_TERMGROUP_NUMBER ON T_CONM_TERMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_TERMGROUP_L', 'T_CONM_TERMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMGROUP_L_FID') CREATE INDEX IDX_CONM_TERMGROUP_L_FID ON T_CONM_TERMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_TERM_L', 'T_CONM_TERM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERM_L_FID') CREATE INDEX IDX_CONM_TERM_L_FID ON T_CONM_TERM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_COMPONENT', 'T_CONM_COMPONENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_COMPONENT_NUMBER') CREATE INDEX IDX_CONM_COMPONENT_NUMBER ON T_CONM_COMPONENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_TYPE', 'T_CONM_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TYPE_NUMBER') CREATE INDEX IDX_CONM_TYPE_NUMBER ON T_CONM_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_TYPE_L', 'T_CONM_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TYPE_L_FID') CREATE INDEX IDX_CONM_TYPE_L_FID ON T_CONM_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_TYPEGROUP', 'T_CONM_TYPEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TYPEGROUP_NUMBER') CREATE INDEX IDX_CONM_TYPEGROUP_NUMBER ON T_CONM_TYPEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CONM_TYPEGROUP_L', 'T_CONM_TYPEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TYPEGROUP_L_FID') CREATE INDEX IDX_CONM_TYPEGROUP_L_FID ON T_CONM_TYPEGROUP_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
