﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CONM_CONTPARTOTHER', 'T_CONM_CONTPARTOTHER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTPARTOTHER_FID') CREATE INDEX IDX_CONM_CONTPARTOTHER_FID ON T_CONM_CONTPARTOTHER ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_CONTRACT_F', 'T_CONM_CONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTRACT_F') CREATE INDEX IDX_CONM_CONTRACT_F ON T_CONM_CONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_CONM_CONTRACT_L', 'T_CONM_CONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTRACT_L') CREATE INDEX IDX_CONM_CONTRACT_L ON T_CONM_CONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACT_F', 'T_CONM_PURCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACT_F') CREATE INDEX IDX_CONM_PURCONTRACT_F ON T_CONM_PURCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACTENTRY', 'T_CONM_PURCONTRACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACTENTRY') CREATE INDEX IDX_CONM_PURCONTRACTENTRY ON T_CONM_PURCONTRACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACTENTRY_F', 'T_CONM_PURCONTRACTENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACTENTRY_F') CREATE INDEX IDX_CONM_PURCONTRACTENTRY_F ON T_CONM_PURCONTRACTENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACT_F', 'T_CONM_SALCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACT_F') CREATE INDEX IDX_CONM_SALCONTRACT_F ON T_CONM_SALCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACTENTRY', 'T_CONM_SALCONTRACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACTENTRY') CREATE INDEX IDX_CONM_SALCONTRACTENTRY ON T_CONM_SALCONTRACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACTENTRY_F', 'T_CONM_SALCONTRACTENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACTENTRY_F') CREATE INDEX IDX_CONM_SALCONTRACTENTRY_F ON T_CONM_SALCONTRACTENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACTENTRY_R', 'T_CONM_SALCONTRACTENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACTENTRY_R') CREATE INDEX IDX_CONM_SALCONTRACTENTRY_R ON T_CONM_SALCONTRACTENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACTENTRY_R', 'T_CONM_PURCONTRACTENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACTENTRY_R') CREATE INDEX IDX_CONM_PURCONTRACTENTRY_R ON T_CONM_PURCONTRACTENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_COMPONENT_L', 'T_CONM_COMPONENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_COMPONENT_L_FID') CREATE INDEX IDX_CONM_COMPONENT_L_FID ON T_CONM_COMPONENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_TERMCOMPENTRY_L', 'T_CONM_TERMCOMPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMCOMPENTRY_L') CREATE INDEX IDX_CONM_TERMCOMPENTRY_L ON T_CONM_TERMCOMPENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC p_AlterPK 'PK_T_CONM_TEMPLATEENTRY', 'T_CONM_TEMPLATEENTRY', 'FEntryID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TEMPLATEENTRY_FID') CREATE INDEX IDX_CONM_TEMPLATEENTRY_FID ON T_CONM_TEMPLATEENTRY ( FID );

 EXEC P_ALTERPK 'PK_T_CONM_CONTRACT', 'T_CONM_CONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTRACT_BILLNO') CREATE INDEX IDX_CONM_CONTRACT_BILLNO ON T_CONM_CONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACT', 'T_CONM_PURCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACT_BILLNO') CREATE INDEX IDX_CONM_PURCONTRACT_BILLNO ON T_CONM_PURCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACT_L', 'T_CONM_PURCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACT_L') CREATE INDEX IDX_CONM_PURCONTRACT_L ON T_CONM_PURCONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACT', 'T_CONM_SALCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACT_BILLNO') CREATE INDEX IDX_CONM_SALCONTRACT_BILLNO ON T_CONM_SALCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACT_L', 'T_CONM_SALCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACT_L') CREATE INDEX IDX_CONM_SALCONTRACT_L ON T_CONM_SALCONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACT_S', 'T_CONM_PURCONTRACT_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACT_S') CREATE INDEX IDX_CONM_PURCONTRACT_S ON T_CONM_PURCONTRACT_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_CONM_TERMCOMP', 'T_CONM_TERMCOMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMCOMP_CONTRACTID') CREATE INDEX IDX_CONM_TERMCOMP_CONTRACTID ON T_CONM_TERMCOMP ( FCONTRACTID );


 EXEC P_ALTERPK 'PK_T_CONM_TERMCOMPENTRY', 'T_CONM_TERMCOMPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_TERMCOMPENTRY') CREATE INDEX IDX_CONM_TERMCOMPENTRY ON T_CONM_TERMCOMPENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACT_C', 'T_CONM_SALCONTRACT_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACT_C') CREATE INDEX IDX_CONM_SALCONTRACT_C ON T_CONM_SALCONTRACT_C ( FCUSTOMERID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
