<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>910018705293871104</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1655718165159</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <ConvertType2>SourceField,org</ConvertType2>
                      <SourceFieldKey>org</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dept</TargetFieldKey>
                      <ConvertType2>SourceField,dept</ConvertType2>
                      <SourceFieldKey>dept</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>billno</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auditor</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auditdate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztime</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizuser</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>contractnum</TargetFieldKey>
                      <ConvertType2>SourceField,billno</ConvertType2>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentity</TargetFieldKey>
                      <ConvertType2>Formula,GetSrcEntityNumber()</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <ConvertType2>Formula,id</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>销售终止协议.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>contractname</TargetFieldKey>
                      <ConvertType2>SourceField,billname</ConvertType2>
                      <SourceFieldKey>billname</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>comment</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>party1st</TargetFieldKey>
                      <ConvertType2>SourceField,party1st</ConvertType2>
                      <SourceFieldKey>party1st</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>party2nd</TargetFieldKey>
                      <ConvertType2>SourceField,party2nd</ConvertType2>
                      <SourceFieldKey>party2nd</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>partc</TargetFieldKey>
                      <ConvertType2>SourceField,partc</ConvertType2>
                      <SourceFieldKey>partc</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <DisplayName/>
                      <Description>合同/协议到归档申请单，携带签章附件插件</Description>
                      <ClassName>kd.scmc.conm.formplugin.botp.ConAgrt2FilingApplyPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"0URT6GNZCJ34","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"0URT6GNZD2NB","value":"C"}],"baseDataIds":[]},{"id":"0URT6GNZCJ35","leftBracket":"","compareType":"105","fieldName":"filingstatus","rightBracket":"","logic":"0","value":[{"id":"0URT6GNZD2NC","value":"A"}],"baseDataIds":[]},{"id":"0URT6GNZCJ36","leftBracket":"","compareType":"17","fieldName":"reviewstatus","rightBracket":"","logic":"0","value":[{"id":"0URT6GNZD2ND","value":"C"},{"id":"0Y85B=70+Q51","value":"E"}],"baseDataIds":[]},{"id":"0VYAQXZAR2GC","leftBracket":"","compareType":"17","fieldName":"signstatus","rightBracket":"","logic":"0","value":[{"id":"0VYAQXZARC8G","value":"B"},{"id":"0Y85B=70+C/O","value":"C"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>0URT6GNZCJ34</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0URT6GNZD2NB</Id>
                                  <Value>C</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>filingstatus</FieldName>
                              <RightBracket/>
                              <Id>0URT6GNZCJ35</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0URT6GNZD2NC</Id>
                                  <Value>A</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>17</CompareType>
                              <FieldName>reviewstatus</FieldName>
                              <RightBracket/>
                              <Id>0URT6GNZCJ36</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0URT6GNZD2ND</Id>
                                  <Value>C</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0Y85B=70+Q51</Id>
                                  <Value>E</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>17</CompareType>
                              <FieldName>signstatus</FieldName>
                              <RightBracket/>
                              <Id>0VYAQXZAR2GC</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0VYAQXZARC8G</Id>
                                  <Value>B</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0Y85B=70+C/O</Id>
                                  <Value>C</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>conm_filingapply</TargetEntryKey>
                  <SourceEntryKey>conm_salendagrt</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>conm_filingapply</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>销售终止协议_归档申请单_转换规则</Name>
              <SourceEntityNumber>conm_salendagrt</SourceEntityNumber>
              <Id>910018705293871104</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterString>{"filterRow":[{"id":"1INH5GZBP8PR","leftBracket":"","compareType":"105","fieldName":"type.enablearchive","rightBracket":"","logic":"0","value":[{"id":"1INH5GZBPBR=","value":"1"}],"baseDataIds":[]}],"forList":false}</FilterString>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>type.enablearchive</FieldName>
                          <RightBracket/>
                          <Id>1INH5GZBP8PR</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>1INH5GZBPBR=</Id>
                              <Value>1</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>合同类型.启用归档申请 等于 是</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>910018705293871104</Id>
          <CreateDate>1591682683000</CreateDate>
          <ParentId/>
          <MasterId/>
          <BizappId>04FF=O0EMI=4</BizappId>
          <InheritPath/>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>10086</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1655718165178</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>04FF=O0EMI=4</BizappId>
      <TargetEntityNumber>conm_filingapply</TargetEntityNumber>
      <SourceEntityNumber>conm_salendagrt</SourceEntityNumber>
      <Id>910018705293871104</Id>
      <InheritPath></InheritPath>
      <CreateDate>1591682683000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
