------------采购合同变更模型预置sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodel WHERE FID = 1320312264355479552) INSERT INTO t_plat_changemodel
(FID,FISSYS,FVALIDOPTYPE,FXBILLID,FISNOTUPDATEVERSION,FSRCBILLID,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FUPDATETYPE,FMODIFYTIME,FAREACONDITIONJSON,FCREATORID,FAREACONDITIONJSON_TAG,FAREACONDITIONDESC)
VALUES (1320312264355479552,'1',',submit,','conm_xpurcontract','0','conm_purcontract','采购合同变更方案',{ts'2018-08-08 18:08:00'},'0',1,'man',{ts'2018-08-08 18:08:00'},' ',1,'{"filterRow":[{"id":"24ER+/Q075G+","leftBracket":"","compareType":"106","fieldName":"closestatus","rightBracket":"","logic":"0","value":[{"id":"24ER+/Q3ULAR","value":"B"}],"baseDataIds":[]},{"id":"24ER+/Q3UKNH","leftBracket":"","compareType":"106","fieldName":"freezestatus","rightBracket":"","logic":"0","value":[{"id":"24ER+/Q3ULAS","value":"B"}],"baseDataIds":[]}],"forList":false}','请选择未关闭、未冻结的采购合同进行变更。');

------------处理是否存在历史变更模型数据
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodel WHERE fsrcbillid='conm_purcontract' and fxbillid='conm_xpurcontract' and fenable='1')
update t_plat_changemodel set fenable='1' WHERE FID = 1320312264355479552;

------------插件sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelpe WHERE FENTRYID = 1320342789971509248) INSERT INTO t_plat_changemodelpe
(FID,FPLUGINENABLE,FENTRYID,FSEQ,FCLASSNAME,FPLUGINJSON,FPLUGINTYPE) 
VALUES (1320312264355479552,'1',1320342789971509248,1,'kd.scmc.conm.business.service.XPurContractChangeService','{"className":"kd.scmc.conm.business.service.XPurContractChangeService","enabled":true,"description":"采购合同变更插件","rowKey":0,"type":0,"dynamicPlugin":false,"seq":0}','0');

------------字段映射sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480576) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'billno','0','clear','1','0','单据头.合同编号',1320312264355480576,'单据头.合同编号','billno',1,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480577) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'org','0','clear','1','0','单据头.采购组织',1320312264355480577,'单据头.采购组织','org',2,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480578) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'billname','1','clear','1','1','单据头.合同名称',1320312264355480578,'单据头.合同名称','billname',3,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480579) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'comment','1','clear','1','1','单据头.备注',1320312264355480579,'单据头.备注','comment',4,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480580) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'closestatus','0','clear','1','0','单据头.关闭状态',1320312264355480580,'单据头.关闭状态','closestatus',5,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480581) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'closer','0','clear','1','0','单据头.关闭人',1320312264355480581,'单据头.关闭人','closer',6,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480582) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'closedate','0','clear','1','0','单据头.关闭日期',1320312264355480582,'单据头.关闭日期','closedate',7,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480583) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'cancelstatus','0','clear','1','0','单据头.作废状态',1320312264355480583,'单据头.作废状态','cancelstatus',8,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480584) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'canceler','0','clear','1','0','单据头.作废人',1320312264355480584,'单据头.作废人','canceler',9,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480585) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'canceldate','0','clear','1','0','单据头.作废日期',1320312264355480585,'单据头.作废日期','canceldate',10,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480586) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'changer','0','clear','1','0','单据头.变更人',1320312264355480586,'单据头.变更人','changer',11,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480587) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'changedate','0','clear','1','0','单据头.变更日期',1320312264355480587,'单据头.变更日期','changedate',12,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480588) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'changestatus','0','clear','1','0','单据头.变更状态',1320312264355480588,'单据头.变更状态','changestatus',13,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480589) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'version','0','clear','1','0','单据头.版本号',1320312264355480589,'单据头.版本号','version',14,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480590) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480590,'单据头.生效状态','validstatus',15,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480591) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480591,'单据头.生效人','valider',16,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480592) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480592,'单据头.生效日期','validdate',17,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480593) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'freezedate','0','clear','1','0','单据头.冻结日期',1320312264355480593,'单据头.冻结日期','freezedate',18,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480594) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'freezer','0','clear','1','0','单据头.冻结人',1320312264355480594,'单据头.冻结人','freezer',19,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480595) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'freezestatus','0','clear','1','0','单据头.冻结状态',1320312264355480595,'单据头.冻结状态','freezestatus',20,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480596) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'confirmstatus','0','clear','1','0','单据头.确认状态',1320312264355480596,'单据头.确认状态','confirmstatus',21,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480597) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'confirmer','0','clear','1','0','单据头.确认人',1320312264355480597,'单据头.确认人','confirmer',22,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480598) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'confirmdate','0','clear','1','0','单据头.确认日期',1320312264355480598,'单据头.确认日期','confirmdate',23,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480599) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'parta','0','clear','1','0','单据头.合同甲方',1320312264355480599,'单据头.合同甲方','parta',24,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480600) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'partb','0','clear','1','0','单据头.合同乙方',1320312264355480600,'单据头.合同乙方','partb',25,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480601) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'partother','0','clear','1','0','单据头.其他方',1320312264355480601,'单据头.其他方','partother',26,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480602) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'template','0','clear','1','0','单据头.合同模板',1320312264355480602,'单据头.合同模板','template',27,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480603) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'type','0','clear','1','0','单据头.合同类型',1320312264355480603,'单据头.合同类型','type',28,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480604) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'settlecurrency','0','clear','1','0','单据头.结算币别',1320312264355480604,'单据头.结算币别','settlecurrency',29,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480605) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'currency','0','clear','1','0','单据头.本位币',1320312264355480605,'单据头.本位币','currency',30,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480606) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'exratetable','0','clear','1','0','单据头.汇率表',1320312264355480606,'单据头.汇率表','exratetable',31,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480607) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'exchangerate','0','clear','1','0','单据头.汇率',1320312264355480607,'单据头.汇率','exchangerate',32,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480608) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'settletype','0','clear','1','0','单据头.结算方式',1320312264355480608,'单据头.结算方式','settletype',33,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480609) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'istax','0','clear','1','0','单据头.含税',1320312264355480609,'单据头.含税','istax',34,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480610) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'totaltaxamount','1','clear','1','1','单据头.税额',1320312264355480610,'单据头.税额','totaltaxamount',35,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480611) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'totalamount','1','clear','1','1','单据头.金额',1320312264355480611,'单据头.金额','totalamount',36,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480612) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'totalallamount','1','clear','1','1','单据头.价税合计',1320312264355480612,'单据头.价税合计','totalallamount',37,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480613) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'isonlist','0','clear','1','0','单据头.基于清单',1320312264355480613,'单据头.基于清单','isonlist',38,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480614) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'ispayrate','0','clear','1','0','单据头.按比率(%)',1320312264355480614,'单据头.按比率(%)','ispayrate',39,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480615) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'category','0','clear','1','0','单据头.合同种类',1320312264355480615,'单据头.合同种类','category',40,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480616) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'bizmode','0','clear','1','0','单据头.业务模式',1320312264355480616,'单据头.业务模式','bizmode',41,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480617) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'conmprop','0','clear','1','0','单据头.合同属性',1320312264355480617,'单据头.合同属性','conmprop',42,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480618) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'iselecsignature','0','clear','1','0','单据头.是否电子签章',1320312264355480618,'单据头.是否电子签章','iselecsignature',43,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480619) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'filingstatus','0','clear','1','0','单据头.归档状态',1320312264355480619,'单据头.归档状态','filingstatus',44,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480620) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'reviewstatus','0','clear','1','0','单据头.评审状态',1320312264355480620,'单据头.评审状态','reviewstatus',45,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480621) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'filinger','0','clear','1','0','单据头.归档人',1320312264355480621,'单据头.归档人','filinger',46,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480622) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'filingdate','0','clear','1','0','单据头.归档日期',1320312264355480622,'单据头.归档日期','filingdate',47,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480623) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'reviewdate','0','clear','1','0','单据头.评审日期',1320312264355480623,'单据头.评审日期','reviewdate',48,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480624) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'party1st','0','clear','1','0','单据头.甲方',1320312264355480624,'单据头.甲方','party1st',49,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480625) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'contactperson1st','1','clear','1','1','单据头.甲方联系人',1320312264355480625,'单据头.甲方联系人','contactperson1st',50,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480626) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'phone1st','1','clear','1','1','单据头.甲方电话',1320312264355480626,'单据头.甲方电话','phone1st',51,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480627) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'party2nd','0','clear','1','0','单据头.乙方',1320312264355480627,'单据头.乙方','party2nd',52,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480628) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'contactperson2nd','1','clear','1','1','单据头.乙方联系人',1320312264355480628,'单据头.乙方联系人','contactperson2nd',53,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480629) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'phone2nd','1','clear','1','1','单据头.乙方电话',1320312264355480629,'单据头.乙方电话','phone2nd',54,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480630) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'contparties','0','clear','1','0','单据头.合同主体',1320312264355480630,'单据头.合同主体','contparties',55,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480631) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'biztime','0','clear','1','0','单据头.签订日期',1320312264355480631,'单据头.签订日期','biztime',56,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480632) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'biztimebegin','0','clear','1','0','单据头.起始日期',1320312264355480632,'单据头.起始日期','biztimebegin',57,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480633) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'biztimeend','0','clear','1','0','单据头.截止日期',1320312264355480633,'单据头.截止日期','biztimeend',58,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480634) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'isentrysumamt','0','clear','1','0','单据头.明细金额汇总',1320312264355480634,'单据头.明细金额汇总','isentrysumamt',59,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480635) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'signstatus','0','clear','1','0','单据头.签章状态',1320312264355480635,'单据头.签章状态','signstatus',60,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480636) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'signdate','0','clear','1','0','单据头.签章日期',1320312264355480636,'单据头.签章日期','signdate',61,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480637) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'terminatestatus','0','clear','1','0','单据头.终止状态',1320312264355480637,'单据头.终止状态','terminatestatus',62,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480638) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'terminator','0','clear','1','0','单据头.终止人',1320312264355480638,'单据头.终止人','terminator',63,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480639) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'terminatedate','0','clear','1','0','单据头.终止日期',1320312264355480639,'单据头.终止日期','terminatedate',64,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480640) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'partc','0','clear','1','0','单据头.第三方',1320312264355480640,'单据头.第三方','partc',65,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480641) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'signer','0','clear','1','0','单据头.签章人',1320312264355480641,'单据头.签章人','signer',66,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480642) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'billcretype','0','clear','1','0','单据头.单据生成类型',1320312264355480642,'单据头.单据生成类型','billcretype',67,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480643) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'templateversion','0','clear','1','0','单据头.模板版本',1320312264355480643,'单据头.模板版本','templateversion',68,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480644) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'subversion','0','clear','1','0','单据头.子版本号',1320312264355480644,'单据头.子版本号','subversion',69,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480645) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480645,'单据头.修改人','lastupdateuser',70,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480646) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480646,'单据头.修改时间','lastupdatetime',71,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480647) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'exratedate','0','clear','1','0','单据头.汇率日期',1320312264355480647,'单据头.汇率日期','exratedate',72,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480648) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'framenum','0','clear','1','0','单据头.框架协议编号',1320312264355480648,'单据头.框架协议编号','framenum',73,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480649) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'frameversion','0','clear','1','0','单据头.框架协议版本',1320312264355480649,'单据头.框架协议版本','frameversion',74,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480650) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'framename','0','clear','1','0','单据头.框架协议名称',1320312264355480650,'单据头.框架协议名称','framename',75,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480651) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'operator','1','clear','1','1','单据头.采购员',1320312264355480651,'单据头.采购员','operator',76,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480652) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'dept','1','clear','1','1','单据头.采购部门',1320312264355480652,'单据头.采购部门','dept',77,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480653) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'operatorgroup','1','clear','1','0','单据头.采购组',1320312264355480653,'单据头.采购组','operatorgroup',78,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480654) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'supplier','0','clear','1','0','单据头.供应商',1320312264355480654,'单据头.供应商','supplier',79,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480655) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'providersupplier','0','clear','1','0','单据头.送货方',1320312264355480655,'单据头.送货方','providersupplier',80,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480656) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'providerlinkman','1','clear','1','1','单据头.送货联系人',1320312264355480656,'单据头.送货联系人','providerlinkman',81,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480657) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'provideraddress','1','clear','1','1','单据头.送货联系地址',1320312264355480657,'单据头.送货联系地址','provideraddress',82,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480658) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'invoicesupplier','0','clear','1','0','单据头.发票方',1320312264355480658,'单据头.发票方','invoicesupplier',83,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480659) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'receivesupplier','0','clear','1','0','单据头.收款方',1320312264355480659,'单据头.收款方','receivesupplier',84,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480660) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'paidpreallamount','0','clear','1','0','单据头.累计预付款金额',1320312264355480660,'单据头.累计预付款金额','paidpreallamount',85,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480661) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'paidallamount','0','clear','1','0','单据头.累计付款金额',1320312264355480661,'单据头.累计付款金额','paidallamount',86,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480662) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'provideraddressf7','0','clear','1','0','单据头.送货联系地址F7',1320312264355480662,'单据头.送货联系地址F7','provideraddressf7',87,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480663) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'orderallamount','0','clear','1','0','单据头.累计订单金额',1320312264355480663,'单据头.累计订单金额','orderallamount',88,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480664) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480664,'单据头.单据编号','changebillno',89,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480665) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','1',' ',1320312264355480665,'单据头.变更单日期','changebizdate',90,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480666) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,' ','0','clear','1','1',' ',1320312264355480666,'单据头.变更原因','changereason',91,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480667) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480667,'单据头.变更单作废人','changecanceler',92,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480668) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480668,'单据头.变更单作废日期','changecanceldate',93,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480669) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480669,'单据头.变更单作废状态','changecancelstatus',94,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480670) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'id','0','clear','1','0','单据头.id',1320312264355480670,'单据头.源单ID','sourcebillid',95,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480671) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,' ','0','clear','1','0',' ',1320312264355480671,'单据头.源单实体','sourcebillentity',96,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480672) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'payname','1','clear','1','1','付款计划.款项名称',1320312264355480672,'付款计划.款项名称','payname',97,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480673) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'paydate','1','clear','1','1','付款计划.计划付款日期',1320312264355480673,'付款计划.计划付款日期','paydate',98,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480674) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'payrate','1','clear','1','1','付款计划.付款比率(%)',1320312264355480674,'付款计划.付款比率(%)','payrate',99,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480675) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'payamount','1','clear','1','1','付款计划.付款金额',1320312264355480675,'付款计划.付款金额','payamount',100,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480676) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'isprepay','0','clear','1','0','付款计划.是否预付',1320312264355480676,'付款计划.是否预付','isprepay',101,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480677) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'joinpayamount','0','clear','1','0','付款计划.关联付款金额',1320312264355480677,'付款计划.关联付款金额','joinpayamount',102,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480678) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'paidamount','0','clear','1','0','付款计划.实际付款金额',1320312264355480678,'付款计划.实际付款金额','paidamount',103,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480679) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'payentry.payentrychangetype','0','clear','1','0','付款计划.变更方式',1320312264355480679,'付款计划.变更方式','payentrychangetype',104,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480680) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'intervaltime','1','clear','1','1','付款计划.间隔时间',1320312264355480680,'付款计划.间隔时间','intervaltime',105,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480681) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'timeunit','1','clear','1','1','付款计划.时间单位',1320312264355480681,'付款计划.时间单位','timeunit',106,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480682) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'payentry.id','0','clear','1','0','付款计划.付款计划.id',1320312264355480682,'付款计划.源单行ID','payentrysrcid',107,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480683) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'termgroup','1','clear','1','0','合同条款.分组',1320312264355480683,'合同条款.分组','termgroup',108,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480684) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'term','1','clear','1','1','合同条款.合同条款',1320312264355480684,'合同条款.合同条款','term',109,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480685) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'termentry.termentrychangetype','0','clear','1','0','合同条款.变更方式',1320312264355480685,'合同条款.变更方式','termentrychangetype',110,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480686) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'termcontent','1','clear','1','1','合同条款.条款内容',1320312264355480686,'合同条款.条款内容','termcontent',111,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480687) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'termentry.id','0','clear','1','0','合同条款.合同条款.id',1320312264355480687,'合同条款.源单行ID','termentrysrcid',112,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480688) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'entrypurorg','0','clear','1','0','物料明细.采购组织',1320312264355480688,'物料明细.采购组织','entrypurorg',113,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480689) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'material','0','clear','1','0','物料明细.物料编码',1320312264355480689,'物料明细.物料编码','material',114,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480690) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'materialname','0','clear','1','0','物料明细.物料名称',1320312264355480690,'物料明细.物料名称','materialname',115,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480691) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'auxpty','0','clear','1','0','物料明细.辅助属性',1320312264355480691,'物料明细.辅助属性','auxpty',116,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480692) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'qty','1','clear','1','1','物料明细.数量',1320312264355480692,'物料明细.数量','qty',117,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480693) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'unit','0','clear','1','0','物料明细.计量单位',1320312264355480693,'物料明细.计量单位','unit',118,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480694) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'ispresent','0','clear','1','0','物料明细.赠品',1320312264355480694,'物料明细.赠品','ispresent',119,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480695) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'price','1','clear','1','1','物料明细.单价',1320312264355480695,'物料明细.单价','price',120,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480696) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'taxrateid','1','clear','1','1','物料明细.税率',1320312264355480696,'物料明细.税率','taxrateid',121,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480697) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'taxrate','1','clear','1','0','物料明细.税率(%)',1320312264355480697,'物料明细.税率(%)','taxrate',122,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480698) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'priceandtax','1','clear','1','1','物料明细.含税单价',1320312264355480698,'物料明细.含税单价','priceandtax',123,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480699) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'amount','1','clear','1','0','物料明细.金额',1320312264355480699,'物料明细.金额','amount',124,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480700) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'taxamount','1','clear','1','0','物料明细.税额',1320312264355480700,'物料明细.税额','taxamount',125,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480701) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'discounttype','1','clear','1','1','物料明细.折扣方式',1320312264355480701,'物料明细.折扣方式','discounttype',126,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480702) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'discountrate','1','clear','1','1','物料明细.单位折扣(率)',1320312264355480702,'物料明细.单位折扣(率)','discountrate',127,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480703) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'discountamount','1','clear','1','0','物料明细.折扣额',1320312264355480703,'物料明细.折扣额','discountamount',128,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480704) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'amountandtax','1','clear','1','0','物料明细.价税合计',1320312264355480704,'物料明细.价税合计','amountandtax',129,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480705) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'curamount','1','clear','1','0','物料明细.金额本位币',1320312264355480705,'物料明细.金额本位币','curamount',130,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480706) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'curtaxamount','1','clear','1','0','物料明细.税额本位币',1320312264355480706,'物料明细.税额本位币','curtaxamount',131,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480707) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'curamountandtax','1','clear','1','0','物料明细.价税合计本位币',1320312264355480707,'物料明细.价税合计本位币','curamountandtax',132,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480708) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'project','0','clear','1','0','物料明细.项目',1320312264355480708,'物料明细.项目','project',133,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480709) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'rowclosestatus','0','clear','1','0','物料明细.行关闭状态',1320312264355480709,'物料明细.行关闭状态','rowclosestatus',134,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480710) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'rowterminatestatus','0','clear','1','0','物料明细.行终止状态',1320312264355480710,'物料明细.行终止状态','rowterminatestatus',135,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480711) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'entrycomment','1','clear','1','1','物料明细.备注',1320312264355480711,'物料明细.备注','entrycomment',136,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480712) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'billentry.billentrychangetype','0','clear','1','0','物料明细.变更方式',1320312264355480712,'物料明细.变更方式','billentrychangetype',137,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480713) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'baseqty','1','clear','1','0','物料明细.基本数量',1320312264355480713,'物料明细.基本数量','baseqty',138,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480714) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'baseunit','0','clear','1','0','物料明细.基本单位',1320312264355480714,'物料明细.基本单位','baseunit',139,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480715) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'materialmasterid','0','clear','1','0','物料明细.主物料(废弃)',1320312264355480715,'物料明细.主物料(废弃)','materialmasterid',140,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480716) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'materialversion','0','clear','1','0','物料明细.物料版本',1320312264355480716,'物料明细.物料版本','materialversion',141,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480717) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'auxqty','1','clear','1','1','物料明细.辅助数量',1320312264355480717,'物料明细.辅助数量','auxqty',142,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480718) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'auxunit','0','clear','1','0','物料明细.辅助单位',1320312264355480718,'物料明细.辅助单位','auxunit',143,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480719) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'srcbillentity','0','clear','1','0','物料明细.来源单据实体',1320312264355480719,'物料明细.来源单据实体','srcbillentity',144,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480720) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'srcbillid','0','clear','1','0','物料明细.来源单据ID',1320312264355480720,'物料明细.来源单据ID','srcbillid',145,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480721) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'srcbillentryid','0','clear','1','0','物料明细.来源单据行ID',1320312264355480721,'物料明细.来源单据行ID','srcbillentryid',146,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480722) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'srcbillentryseq','0','clear','1','0','物料明细.来源单据分录序号',1320312264355480722,'物料明细.来源单据分录序号','srcbillentryseq',147,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480723) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'srcbillnumber','0','clear','1','0','物料明细.来源单据编号',1320312264355480723,'物料明细.来源单据编号','srcbillnumber',148,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480724) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'entrysettleorg','0','clear','1','0','物料明细.结算组织',1320312264355480724,'物料明细.结算组织','entrysettleorg',149,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480725) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'entryreqorg','0','clear','1','0','物料明细.需求组织',1320312264355480725,'物料明细.需求组织','entryreqorg',150,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480726) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'entryinvorg','0','clear','1','0','物料明细.收货组织',1320312264355480726,'物料明细.收货组织','entryinvorg',151,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480727) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'warehouse','0','clear','1','0','物料明细.收货仓库',1320312264355480727,'物料明细.收货仓库','warehouse',152,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480728) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'deliverdate','0','clear','1','0','物料明细.交货日期',1320312264355480728,'物料明细.交货日期','deliverdate',153,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480729) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'deliveraddress','0','clear','1','0','物料明细.交货地址',1320312264355480729,'物料明细.交货地址','deliveraddress',154,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480730) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'orderqty','0','clear','1','0','物料明细.累计订单数量',1320312264355480730,'物料明细.累计订单数量','orderqty',155,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480731) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'orderbaseqty','0','clear','1','0','物料明细.累计订单基本数量',1320312264355480731,'物料明细.累计订单基本数量','orderbaseqty',156,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480732) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'joinorderqty','0','clear','1','0','物料明细.关联订单数量',1320312264355480732,'物料明细.关联订单数量','joinorderqty',157,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480733) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'joinorderbaseqty','0','clear','1','0','物料明细.关联订单基本数量',1320312264355480733,'物料明细.关联订单基本数量','joinorderbaseqty',158,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480734) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'joinpayablepriceqty','0','clear','1','0','物料明细.关联应付数量',1320312264355480734,'物料明细.关联应付数量','joinpayablepriceqty',159,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480735) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'payablepriceqty','0','clear','1','0','物料明细.累计应付数量',1320312264355480735,'物料明细.累计应付数量','payablepriceqty',160,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480736) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'payableamount','0','clear','1','0','物料明细.累计应付金额',1320312264355480736,'物料明细.累计应付金额','payableamount',161,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480737) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'joinpayablebaseqty','0','clear','1','0','物料明细.关联应付基本数量',1320312264355480737,'物料明细.关联应付基本数量','joinpayablebaseqty',162,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480738) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'payablebaseqty','0','clear','1','0','物料明细.累计应付基本数量',1320312264355480738,'物料明细.累计应付基本数量','payablebaseqty',163,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480739) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320312264355479552,'lineno','0','clear','1','0','物料明细.行号',1320312264355480739,'物料明细.行号','lineno',164,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320312264355480740) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320312264355479552,'billentry.id','0','clear','1','0','物料明细.物料明细.id',1320312264355480740,'物料明细.源单行ID','billentrysrcid',165,'0');