------------销售合同变更模型预置sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodel WHERE FID = 1320313929552887808) INSERT INTO t_plat_changemodel
(FID,FISSYS,FVALIDOPTYPE,FXBILLID,FISNOTUPDATEVERSION,FSRCBILLID,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FUPDATETYPE,FMODIFYTIME,FAREACONDITIONJSON,FCREATORID,FAREACONDITIONJSON_TAG,FAREACONDITIONDESC)
VALUES (1320313929552887808,'1',',submit,','conm_xsalcontract','0','conm_salcontract','销售合同变更方案',{ts'2018-08-08 18:08:00'},'0',1,'man',{ts'2018-08-08 18:08:00'},' ',1,'{"filterRow":[{"id":"24ER/V0K5KK0","leftBracket":"","compareType":"106","fieldName":"closestatus","rightBracket":"","logic":"0","value":[{"id":"24ER/V0K5L8=","value":"B"}],"baseDataIds":[]},{"id":"24ER/V0K5KK1","leftBracket":"","compareType":"106","fieldName":"freezestatus","rightBracket":"","logic":"0","value":[{"id":"24ER/V0K5L8A","value":"B"}],"baseDataIds":[]}],"forList":false}','请选择未关闭、未冻结的销售合同进行变更。');

------------处理是否存在历史变更模型数据的
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodel WHERE fsrcbillid='conm_salcontract' and fxbillid='conm_xsalcontract' and fenable='1')
update t_plat_changemodel set fenable='1' WHERE FID = 1320313929552887808;

------------插件sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelpe WHERE FENTRYID = 1320958082095775744) INSERT INTO t_plat_changemodelpe
(FID,FPLUGINENABLE,FENTRYID,FSEQ,FCLASSNAME,FPLUGINJSON,FPLUGINTYPE)
VALUES (1320313929552887808,'1',1320958082095775744,1,'kd.scmc.conm.business.service.XSalContractChangeService','{"className":"kd.scmc.conm.business.service.XSalContractChangeService","enabled":true,"description":"销售合同变更插件","rowKey":0,"type":0,"dynamicPlugin":false,"seq":0}','0');

------------字段映射sql
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888832) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'billno','0','clear','1','0','单据头.合同编号',1320313929552888832,'单据头.合同编号','billno',1,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888833) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'org','0','clear','1','0','单据头.销售组织',1320313929552888833,'单据头.销售组织','org',2,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888834) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'billname','1','clear','1','1','单据头.合同名称',1320313929552888834,'单据头.合同名称','billname',3,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888835) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'comment','1','clear','1','1','单据头.备注',1320313929552888835,'单据头.备注','comment',4,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888836) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'closestatus','0','clear','1','0','单据头.关闭状态',1320313929552888836,'单据头.关闭状态','closestatus',5,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888837) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'closer','0','clear','1','0','单据头.关闭人',1320313929552888837,'单据头.关闭人','closer',6,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888838) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'closedate','0','clear','1','0','单据头.关闭日期',1320313929552888838,'单据头.关闭日期','closedate',7,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888839) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'cancelstatus','0','clear','1','0','单据头.作废状态',1320313929552888839,'单据头.作废状态','cancelstatus',8,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888840) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'canceler','0','clear','1','0','单据头.作废人',1320313929552888840,'单据头.作废人','canceler',9,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888841) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'canceldate','0','clear','1','0','单据头.作废日期',1320313929552888841,'单据头.作废日期','canceldate',10,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888842) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'changer','0','clear','1','0','单据头.变更人',1320313929552888842,'单据头.变更人','changer',11,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888843) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'changedate','0','clear','1','0','单据头.变更日期',1320313929552888843,'单据头.变更日期','changedate',12,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888844) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'changestatus','0','clear','1','0','单据头.变更状态',1320313929552888844,'单据头.变更状态','changestatus',13,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888845) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'version','0','clear','1','0','单据头.版本号',1320313929552888845,'单据头.版本号','version',14,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888846) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888846,'单据头.生效状态','validstatus',15,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888847) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888847,'单据头.生效人','valider',16,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888848) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888848,'单据头.生效日期','validdate',17,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888849) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'freezedate','0','clear','1','0','单据头.冻结日期',1320313929552888849,'单据头.冻结日期','freezedate',18,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888850) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'freezer','0','clear','1','0','单据头.冻结人',1320313929552888850,'单据头.冻结人','freezer',19,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888851) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'freezestatus','0','clear','1','0','单据头.冻结状态',1320313929552888851,'单据头.冻结状态','freezestatus',20,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888852) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'confirmstatus','0','clear','1','0','单据头.确认状态',1320313929552888852,'单据头.确认状态','confirmstatus',21,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888853) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'confirmer','0','clear','1','0','单据头.确认人',1320313929552888853,'单据头.确认人','confirmer',22,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888854) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'confirmdate','0','clear','1','0','单据头.确认日期',1320313929552888854,'单据头.确认日期','confirmdate',23,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888855) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'parta','0','clear','1','0','单据头.合同甲方',1320313929552888855,'单据头.合同甲方','parta',24,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888856) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'partb','0','clear','1','0','单据头.合同乙方',1320313929552888856,'单据头.合同乙方','partb',25,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888857) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'partother','0','clear','1','0','单据头.其他方',1320313929552888857,'单据头.其他方','partother',26,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888858) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'template','0','clear','1','0','单据头.合同模板',1320313929552888858,'单据头.合同模板','template',27,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888859) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'type','0','clear','1','0','单据头.合同类型',1320313929552888859,'单据头.合同类型','type',28,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888860) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'settlecurrency','0','clear','1','0','单据头.结算币别',1320313929552888860,'单据头.结算币别','settlecurrency',29,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888861) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'currency','0','clear','1','0','单据头.本位币',1320313929552888861,'单据头.本位币','currency',30,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888862) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'exratetable','0','clear','1','0','单据头.汇率表',1320313929552888862,'单据头.汇率表','exratetable',31,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888863) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'exchangerate','0','clear','1','0','单据头.汇率',1320313929552888863,'单据头.汇率','exchangerate',32,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888864) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'settletype','0','clear','1','0','单据头.结算方式',1320313929552888864,'单据头.结算方式','settletype',33,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888865) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'istax','0','clear','1','0','单据头.含税',1320313929552888865,'单据头.含税','istax',34,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888866) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'totaltaxamount','1','clear','1','1','单据头.税额',1320313929552888866,'单据头.税额','totaltaxamount',35,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888867) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'totalamount','1','clear','1','1','单据头.金额',1320313929552888867,'单据头.金额','totalamount',36,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888868) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'totalallamount','1','clear','1','1','单据头.价税合计',1320313929552888868,'单据头.价税合计','totalallamount',37,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888869) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'isonlist','0','clear','1','0','单据头.基于清单',1320313929552888869,'单据头.基于清单','isonlist',38,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888870) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'ispayrate','0','clear','1','0','单据头.按比率(%)',1320313929552888870,'单据头.按比率(%)','ispayrate',39,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888871) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'category','0','clear','1','0','单据头.合同种类',1320313929552888871,'单据头.合同种类','category',40,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888872) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'bizmode','0','clear','1','0','单据头.业务模式',1320313929552888872,'单据头.业务模式','bizmode',41,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888873) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'conmprop','0','clear','1','0','单据头.合同属性',1320313929552888873,'单据头.合同属性','conmprop',42,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888874) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'iselecsignature','0','clear','1','0','单据头.是否电子签章',1320313929552888874,'单据头.是否电子签章','iselecsignature',43,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888875) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'filingstatus','0','clear','1','0','单据头.归档状态',1320313929552888875,'单据头.归档状态','filingstatus',44,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888876) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'reviewstatus','0','clear','1','0','单据头.评审状态',1320313929552888876,'单据头.评审状态','reviewstatus',45,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888877) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'filinger','0','clear','1','0','单据头.归档人',1320313929552888877,'单据头.归档人','filinger',46,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888878) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'filingdate','0','clear','1','0','单据头.归档日期',1320313929552888878,'单据头.归档日期','filingdate',47,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888879) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'reviewdate','0','clear','1','0','单据头.评审日期',1320313929552888879,'单据头.评审日期','reviewdate',48,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888880) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'party1st','0','clear','1','0','单据头.甲方',1320313929552888880,'单据头.甲方','party1st',49,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888881) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'contactperson1st','1','clear','1','1','单据头.甲方联系人',1320313929552888881,'单据头.甲方联系人','contactperson1st',50,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888882) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'phone1st','1','clear','1','1','单据头.甲方电话',1320313929552888882,'单据头.甲方电话','phone1st',51,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888883) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'party2nd','0','clear','1','0','单据头.乙方',1320313929552888883,'单据头.乙方','party2nd',52,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888884) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'contactperson2nd','1','clear','1','1','单据头.乙方联系人',1320313929552888884,'单据头.乙方联系人','contactperson2nd',53,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888885) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'phone2nd','1','clear','1','1','单据头.乙方电话',1320313929552888885,'单据头.乙方电话','phone2nd',54,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888886) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'contparties','0','clear','1','0','单据头.合同主体',1320313929552888886,'单据头.合同主体','contparties',55,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888887) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'biztime','0','clear','1','0','单据头.签订日期',1320313929552888887,'单据头.签订日期','biztime',56,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888888) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'biztimebegin','0','clear','1','0','单据头.起始日期',1320313929552888888,'单据头.起始日期','biztimebegin',57,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888889) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'biztimeend','0','clear','1','0','单据头.截止日期',1320313929552888889,'单据头.截止日期','biztimeend',58,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888890) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'isentrysumamt','0','clear','1','0','单据头.明细金额汇总',1320313929552888890,'单据头.明细金额汇总','isentrysumamt',59,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888891) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'signstatus','0','clear','1','0','单据头.签章状态',1320313929552888891,'单据头.签章状态','signstatus',60,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888892) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'signdate','0','clear','1','0','单据头.签章日期',1320313929552888892,'单据头.签章日期','signdate',61,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888893) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'terminatestatus','0','clear','1','0','单据头.终止状态',1320313929552888893,'单据头.终止状态','terminatestatus',62,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888894) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'terminator','0','clear','1','0','单据头.终止人',1320313929552888894,'单据头.终止人','terminator',63,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888895) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'terminatedate','0','clear','1','0','单据头.终止日期',1320313929552888895,'单据头.终止日期','terminatedate',64,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888896) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'partc','0','clear','1','0','单据头.第三方',1320313929552888896,'单据头.第三方','partc',65,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888897) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'signer','0','clear','1','0','单据头.签章人',1320313929552888897,'单据头.签章人','signer',66,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888898) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'billcretype','0','clear','1','0','单据头.单据生成类型',1320313929552888898,'单据头.单据生成类型','billcretype',67,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888899) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'templateversion','0','clear','1','0','单据头.模板版本',1320313929552888899,'单据头.模板版本','templateversion',68,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888900) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'subversion','0','clear','1','0','单据头.子版本号',1320313929552888900,'单据头.子版本号','subversion',69,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888901) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888901,'单据头.修改人','lastupdateuser',70,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888902) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888902,'单据头.修改时间','lastupdatetime',71,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888903) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'exratedate','0','clear','1','0','单据头.汇率日期',1320313929552888903,'单据头.汇率日期','exratedate',72,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888904) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'framenum','0','clear','1','0','单据头.框架协议编号',1320313929552888904,'单据头.框架协议编号','framenum',73,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888905) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'frameversion','0','clear','1','0','单据头.框架协议版本',1320313929552888905,'单据头.框架协议版本','frameversion',74,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888906) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'framename','0','clear','1','0','单据头.框架协议名称',1320313929552888906,'单据头.框架协议名称','framename',75,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888907) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'customer','0','clear','1','0','单据头.客户',1320313929552888907,'单据头.客户','customer',76,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888908) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'dept','1','clear','1','1','单据头.销售部门',1320313929552888908,'单据头.销售部门','dept',77,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888909) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'operatorgroup','1','clear','1','0','单据头.销售组',1320313929552888909,'单据头.销售组','operatorgroup',78,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888910) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'operator','1','clear','1','1','单据头.销售员',1320313929552888910,'单据头.销售员','operator',79,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888911) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'reccustomer','0','clear','1','0','单据头.收货方',1320313929552888911,'单据头.收货方','reccustomer',80,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888912) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'reclinkman','1','clear','1','1','单据头.收货联系人',1320313929552888912,'单据头.收货联系人','reclinkman',81,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888913) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'settlecustomer','0','clear','1','0','单据头.收票方',1320313929552888913,'单据头.收票方','settlecustomer',82,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888914) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'payingcustomer','0','clear','1','0','单据头.付款方',1320313929552888914,'单据头.付款方','payingcustomer',83,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888915) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'receiveaddress','1','clear','1','1','单据头.收货联系地址',1320313929552888915,'单据头.收货联系地址','receiveaddress',84,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888916) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'receiptallamount','0','clear','1','0','单据头.累计收款金额',1320313929552888916,'单据头.累计收款金额','receiptallamount',85,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888917) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'prereceiptallamount','0','clear','1','0','单据头.累计预收款金额',1320313929552888917,'单据头.累计预收款金额','prereceiptallamount',86,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888918) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'receiveaddressf7','0','clear','1','0','单据头.收货联系地址F7',1320313929552888918,'单据头.收货联系地址F7','receiveaddressf7',87,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888919) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888919,'单据头.单据编号','changebillno',88,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888920) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','1',' ',1320313929552888920,'单据头.变更单日期','changebizdate',89,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888921) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,' ','0','clear','1','1',' ',1320313929552888921,'单据头.变更原因','changereason',90,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888922) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888922,'单据头.变更单作废人','changecanceler',91,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888923) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888923,'单据头.变更单作废日期','changecanceldate',92,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888924) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888924,'单据头.变更单作废状态','changecancelstatus',93,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888925) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'id','0','clear','1','0','单据头.id',1320313929552888925,'单据头.源单ID','sourcebillid',94,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888926) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,' ','0','clear','1','0',' ',1320313929552888926,'单据头.源单实体','sourcebillentity',95,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888927) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'payname','1','clear','1','1','收款计划.款项名称',1320313929552888927,'收款计划.款项名称','payname',96,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888928) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'paydate','1','clear','1','1','收款计划.计划收款日期',1320313929552888928,'收款计划.计划收款日期','paydate',97,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888929) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'payrate','1','clear','1','1','收款计划.收款比率(%)',1320313929552888929,'收款计划.收款比率(%)','payrate',98,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888930) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'payamount','1','clear','1','1','收款计划.收款金额',1320313929552888930,'收款计划.收款金额','payamount',99,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888931) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'isprepay','0','clear','1','0','收款计划.是否预收',1320313929552888931,'收款计划.是否预收','isprepay',100,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888932) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'joinpayamount','0','clear','1','0','收款计划.关联收款金额',1320313929552888932,'收款计划.关联收款金额','joinpayamount',101,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888933) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'paidamount','0','clear','1','0','收款计划.实际收款金额',1320313929552888933,'收款计划.实际收款金额','paidamount',102,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888934) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'payentry.payentrychangetype','0','clear','1','0','收款计划.变更方式',1320313929552888934,'收款计划.变更方式','payentrychangetype',103,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888935) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'intervaltime','1','clear','1','1','收款计划.间隔时间',1320313929552888935,'收款计划.间隔时间','intervaltime',104,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888936) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'timeunit','1','clear','1','1','收款计划.时间单位',1320313929552888936,'收款计划.时间单位','timeunit',105,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888937) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'recentrysettleorg','0','clear','1','0','收款计划.结算组织',1320313929552888937,'收款计划.结算组织','recentrysettleorg',106,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888938) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'payentry.id','0','clear','1','0','收款计划.收款计划.id',1320313929552888938,'收款计划.源单行ID','payentrysrcid',107,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888939) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'termgroup','1','clear','1','0','合同条款.分组',1320313929552888939,'合同条款.分组','termgroup',108,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888940) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'term','1','clear','1','1','合同条款.合同条款',1320313929552888940,'合同条款.合同条款','term',109,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888941) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'termentry.termentrychangetype','0','clear','1','0','合同条款.变更方式',1320313929552888941,'合同条款.变更方式','termentrychangetype',110,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888942) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'termcontent','1','clear','1','1','合同条款.条款内容',1320313929552888942,'合同条款.条款内容','termcontent',111,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888943) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'termentry.id','0','clear','1','0','合同条款.合同条款.id',1320313929552888943,'合同条款.源单行ID','termentrysrcid',112,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888944) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'entrypurorg','0','clear','1','0','物料明细.所属组织',1320313929552888944,'物料明细.所属组织','entrypurorg',113,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888945) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'material','0','clear','1','0','物料明细.物料编码',1320313929552888945,'物料明细.物料编码','material',114,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888946) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'materialname','0','clear','1','0','物料明细.物料名称',1320313929552888946,'物料明细.物料名称','materialname',115,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888947) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'auxpty','0','clear','1','0','物料明细.辅助属性',1320313929552888947,'物料明细.辅助属性','auxpty',116,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888948) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'qty','1','clear','1','1','物料明细.数量',1320313929552888948,'物料明细.数量','qty',117,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888949) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'unit','0','clear','1','0','物料明细.计量单位',1320313929552888949,'物料明细.计量单位','unit',118,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888950) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'ispresent','0','clear','1','0','物料明细.赠品',1320313929552888950,'物料明细.赠品','ispresent',119,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888951) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'price','1','clear','1','1','物料明细.单价',1320313929552888951,'物料明细.单价','price',120,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888952) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'taxrateid','1','clear','1','1','物料明细.税率',1320313929552888952,'物料明细.税率','taxrateid',121,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888953) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'taxrate','1','clear','1','0','物料明细.税率(%)',1320313929552888953,'物料明细.税率(%)','taxrate',122,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888954) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'priceandtax','1','clear','1','1','物料明细.含税单价',1320313929552888954,'物料明细.含税单价','priceandtax',123,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888955) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'amount','1','clear','1','0','物料明细.金额',1320313929552888955,'物料明细.金额','amount',124,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888956) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'taxamount','1','clear','1','0','物料明细.税额',1320313929552888956,'物料明细.税额','taxamount',125,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888957) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'discounttype','1','clear','1','1','物料明细.折扣方式',1320313929552888957,'物料明细.折扣方式','discounttype',126,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888958) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'discountrate','1','clear','1','1','物料明细.单位折扣(率)',1320313929552888958,'物料明细.单位折扣(率)','discountrate',127,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888959) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'discountamount','1','clear','1','0','物料明细.折扣额',1320313929552888959,'物料明细.折扣额','discountamount',128,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888960) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'amountandtax','1','clear','1','0','物料明细.价税合计',1320313929552888960,'物料明细.价税合计','amountandtax',129,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888961) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'curamount','1','clear','1','0','物料明细.金额本位币',1320313929552888961,'物料明细.金额本位币','curamount',130,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888962) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'curtaxamount','1','clear','1','0','物料明细.税额本位币',1320313929552888962,'物料明细.税额本位币','curtaxamount',131,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888963) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'curamountandtax','1','clear','1','0','物料明细.价税合计本位币',1320313929552888963,'物料明细.价税合计本位币','curamountandtax',132,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888964) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'project','0','clear','1','0','物料明细.项目',1320313929552888964,'物料明细.项目','project',133,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888965) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'rowclosestatus','0','clear','1','0','物料明细.行关闭状态',1320313929552888965,'物料明细.行关闭状态','rowclosestatus',134,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888966) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'rowterminatestatus','0','clear','1','0','物料明细.行终止状态',1320313929552888966,'物料明细.行终止状态','rowterminatestatus',135,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888967) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'entrycomment','1','clear','1','1','物料明细.备注',1320313929552888967,'物料明细.备注','entrycomment',136,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888968) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'billentry.billentrychangetype','0','clear','1','0','物料明细.变更方式',1320313929552888968,'物料明细.变更方式','billentrychangetype',137,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888969) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'baseqty','1','clear','1','0','物料明细.基本数量',1320313929552888969,'物料明细.基本数量','baseqty',138,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888970) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'baseunit','0','clear','1','0','物料明细.基本单位',1320313929552888970,'物料明细.基本单位','baseunit',139,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888971) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'materialmasterid','0','clear','1','0','物料明细.主物料(废弃)',1320313929552888971,'物料明细.主物料(废弃)','materialmasterid',140,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888972) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'materialversion','0','clear','1','0','物料明细.物料版本',1320313929552888972,'物料明细.物料版本','materialversion',141,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888973) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG)
VALUES (1320313929552887808,'auxqty','1','clear','1','1','物料明细.辅助数量',1320313929552888973,'物料明细.辅助数量','auxqty',142,'1');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888974) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'auxunit','0','clear','1','0','物料明细.辅助单位',1320313929552888974,'物料明细.辅助单位','auxunit',143,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888975) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'srcbillentity','0','clear','1','0','物料明细.来源单据实体',1320313929552888975,'物料明细.来源单据实体','srcbillentity',144,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888976) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'srcbillid','0','clear','1','0','物料明细.来源单据ID',1320313929552888976,'物料明细.来源单据ID','srcbillid',145,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888977) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'srcbillentryid','0','clear','1','0','物料明细.来源单据行ID',1320313929552888977,'物料明细.来源单据行ID','srcbillentryid',146,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888978) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'srcbillentryseq','0','clear','1','0','物料明细.来源单据分录序号',1320313929552888978,'物料明细.来源单据分录序号','srcbillentryseq',147,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888979) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'srcbillnumber','0','clear','1','0','物料明细.来源单据编号',1320313929552888979,'物料明细.来源单据编号','srcbillnumber',148,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888980) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'joinorderqty','0','clear','1','0','物料明细.关联订单数量',1320313929552888980,'物料明细.关联订单数量','joinorderqty',149,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888981) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'orderqty','0','clear','1','0','物料明细.累计订单数量',1320313929552888981,'物料明细.累计订单数量','orderqty',150,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888982) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'joinorderbaseqty','0','clear','1','0','物料明细.关联订单基本数量',1320313929552888982,'物料明细.关联订单基本数量','joinorderbaseqty',151,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888983) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'orderbaseqty','0','clear','1','0','物料明细.累计订单基本数量',1320313929552888983,'物料明细.累计订单基本数量','orderbaseqty',152,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888984) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'entryinvorg','0','clear','1','0','物料明细.发货组织',1320313929552888984,'物料明细.发货组织','entryinvorg',153,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888985) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'entrysettleorg','0','clear','1','0','物料明细.结算组织',1320313929552888985,'物料明细.结算组织','entrysettleorg',154,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888986) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'deliveraddress','0','clear','1','0','物料明细.发货地址',1320313929552888986,'物料明细.发货地址','deliveraddress',155,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888987) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'arjoinqty','0','clear','1','0','物料明细.关联应收数量',1320313929552888987,'物料明细.关联应收数量','arjoinqty',156,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888988) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'joinpriceqty','0','clear','1','0','物料明细.累计应收数量',1320313929552888988,'物料明细.累计应收数量','joinpriceqty',157,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888989) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'aramount','0','clear','1','0','物料明细.累计应收金额',1320313929552888989,'物料明细.累计应收金额','aramount',158,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888990) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'arjoinbaseqty','0','clear','1','0','物料明细.关联应收基本数量',1320313929552888990,'物料明细.关联应收基本数量','arjoinbaseqty',159,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888991) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'joinpricebaseqty','0','clear','1','0','物料明细.累计应收基本数量',1320313929552888991,'物料明细.累计应收基本数量','joinpricebaseqty',160,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888992) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'deliverydate','0','clear','1','0','物料明细.发货日期',1320313929552888992,'物料明细.发货日期','deliverydate',161,'0');
IF NOT EXISTS (SELECT 1 FROM t_plat_changemodelfe WHERE fentryid = 1320313929552888993) INSERT INTO t_plat_changemodelfe
(FID,FSOURCEFIELD,FCANWRITEBACK,FCLEARSOURCEFIELD,FCANDISPLAY,FCANENABLE,FSOURCEFIELDNAME,FENTRYID,FTARGETFIELDNAME,FTARGETFIELD,FSEQ,FCANLOG) 
VALUES (1320313929552887808,'billentry.id','0','clear','1','0','物料明细.物料明细.id',1320313929552888993,'物料明细.源单行ID','billentrysrcid',162,'0');

















