-- 登记方案

IF NOT EXISTS (SELECT 1 FROM t_conm_recordscheme WHERE FID = 1155048110133635072)
INSERT INTO t_conm_recordscheme(FID,FISSYS,FAUDITORID,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FAUDITDATE,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FCREATORID) VALUES (1155048110133635072,'1',0,' ',1155048110133635072,'C','CGHT-DJFA','采购合同登记方案',NULL,{ts'2021-05-13  15:53:37'},1044184774425457664,'1',{ts'2021-05-13  15:59:38'},1044184774425457664); 

IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDSCHEME_L WHERE FPKID = '1LVPRTJXM/FO')
INSERT INTO T_CONM_RECORDSCHEME_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1155048110133635072,'1LVPRTJXM/FO','zh_CN','采购合同登记方案'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDSCHEME_L WHERE FPKID = '1LVPRTJXM/FP')
INSERT INTO T_CONM_RECORDSCHEME_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1155048110133635072,'1LVPRTJXM/FP','zh_TW','采購合同登記方案'); 

IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDSCHEMEE WHERE FENTRYID = 1155048110150412288)
INSERT INTO T_CONM_RECORDSCHEMEE(FID,FRECORDRULEID,FENABLE,FENTRYID,FSEQ,FPERFORMBILL,FRECORDBILL) VALUES (1155048110133635072,1138216510343359488,'1',1155048110150412288,1,'pm_purorderbill','conm_porecord'); 



-- 登记规则
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE WHERE FID = 1138216510343359488)
INSERT INTO T_CONM_RECORDRULE(FID,FISSYS,FAUDITORID,FPERFORMBILL,FDESCRIPTION,FSTATUS,FNUMBER,FNAME,FAUDITDATE,FCREATETIME,FENABLE,FMODIFIERID,FRECORDBILL,FMODIFYTIME,FCREATORID) VALUES (1138216510343359488,'1',0,'pm_purorderbill',' ','C','CGDD-DJGZ','采购订单登记规则',NULL,{ts'2021-04-20  10:30:40'},'1',1044184774425457664,'conm_porecord',{ts'2021-05-13  16:21:16'},1044184774425457664); 

IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_L WHERE FPKID = '1LSBKCHTUC1I')
INSERT INTO T_CONM_RECORDRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1138216510343359488,'1LSBKCHTUC1I','zh_CN',' ','采购订单登记规则'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_L WHERE FPKID = '1LSBKCHTUC1J')
INSERT INTO T_CONM_RECORDRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1138216510343359488,'1LSBKCHTUC1J','zh_TW',' ','采購訂單登記規則'); 

IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_OE WHERE FENTRYID = 1155061103189846016)
INSERT INTO T_CONM_RECORDRULE_OE(FID,FRECTYPE,FENTRYID,FSEQ,FOPTIONKEY,FOPTIONNAME,FRECMODE) VALUES (1138216510343359488,'A',1155061103189846016,1,'audit','审核','A'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_OE WHERE FENTRYID = 1155061103189846017)
INSERT INTO T_CONM_RECORDRULE_OE(FID,FRECTYPE,FENTRYID,FSEQ,FOPTIONKEY,FOPTIONNAME,FRECMODE) VALUES (1138216510343359488,'B',1155061103189846017,2,'unaudit','反审核',' '); 

IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502464)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.单据编号',1155046595981502464,1,'billno',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502465)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.单据状态',1155046595981502465,2,'billstatus',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502466)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.创建人',1155046595981502466,3,'creator',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502467)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.修改人',1155046595981502467,4,'modifier',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502468)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.审核人',1155046595981502468,5,'auditor',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502469)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.审核日期',1155046595981502469,6,'auditdate',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502470)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.修改时间',1155046595981502470,7,'modifytime',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502471)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.创建时间',1155046595981502471,8,'createtime',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502472)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.业务组织',1155046595981502472,9,'org','org','单据头.采购组织'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502473)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.业务日期',1155046595981502473,10,'biztime',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502474)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.业务类型',1155046595981502474,11,'biztype','biztype','单据头.业务类型'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502475)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.供应商',1155046595981502475,12,'supplier','supplier','单据头.供应商'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502476)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.结算币别',1155046595981502476,13,'settlecurrency','settlecurrency','单据头.结算币别'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1163769773738177536)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.版本号',1163769773738177536,14,'version','version','单据头.版本号'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502477)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'单据头.备注',1155046595981502477,15,'comment','comment','单据头.备注'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502478)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.合同号',1155046595981502478,16,'entryentity.contractnum','billentry.conbillnumber','物料明细.合同编号'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502479)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.物料',1155046595981502479,17,'entryentity.materiel','billentry.material','物料明细.物料编码'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502480)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.基本单位',1155046595981502480,18,'entryentity.baseunit','billentry.baseunit','物料明细.基本单位'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502481)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.基本数量',1155046595981502481,19,'entryentity.baseqty','billentry.baseqty','物料明细.基本数量'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502482)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.单价',1155046595981502482,20,'entryentity.price','billentry.price','物料明细.单价'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502483)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.含税单价',1155046595981502483,21,'entryentity.priceandtax','billentry.priceandtax','物料明细.含税单价'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502484)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.税率(%)',1155046595981502484,22,'entryentity.taxrate','billentry.taxrate','物料明细.税率(%)'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502485)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.税额',1155046595981502485,23,'entryentity.taxamount','billentry.taxamount','物料明细.税额'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502486)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.金额',1155046595981502486,24,'entryentity.amount','billentry.amount','物料明细.金额'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502487)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.价税合计',1155046595981502487,25,'entryentity.amountandtax','billentry.amountandtax','物料明细.价税合计'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502488)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.项目',1155046595981502488,26,'entryentity.project','billentry.project','物料明细.项目'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502489)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.合同ID',1155046595981502489,27,'entryentity.contractid','billentry.conbillid','物料明细.合同ID'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502490)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.合同行ID',1155046595981502490,28,'entryentity.contractentryid','billentry.conbillentryid','物料明细.合同行ID'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502491)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.来源单据实体',1155046595981502491,29,'entryentity.srcbillentity',' ',' '); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502492)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.来源单据ID',1155046595981502492,30,'entryentity.srcbillid','id','单据头.id'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502493)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.来源单据编号',1155046595981502493,31,'entryentity.srcbillnumber','billno','单据头.单据编号'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502494)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.来源单据行ID',1155046595981502494,32,'entryentity.srcbillentryid','billentry.id','物料明细.物料明细.id'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502495)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.来源单据分录序号',1155046595981502495,33,'entryentity.srcbillentryseq','billentry.seq','物料明细.物料明细.分录行号'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502496)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.合同行号',1155046595981502496,34,'entryentity.contlineno','billentry.conbillrownum','物料明细.合同行号'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502497)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.数量',1155046595981502497,35,'entryentity.qty','billentry.qty','物料明细.数量'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502498)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.计量单位',1155046595981502498,36,'entryentity.unit','billentry.unit','物料明细.计量单位'); 
IF NOT EXISTS (SELECT 1 FROM T_CONM_RECORDRULE_FE WHERE FENTRYID = 1155046595981502499)
INSERT INTO T_CONM_RECORDRULE_FE(FID,FRECORDFIELDNAME,FENTRYID,FSEQ,FRECORDFIELD,FPERFORMFIELD,FPERFORMFIELDNAME) VALUES (1138216510343359488,'明细信息.税率',1155046595981502499,37,'entryentity.taxrateid','billentry.taxrateid','物料明细.税率'); 


