﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CONM_CONTRACTTENTRY', 'T_CONM_CONTRACTTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_CONTRACTTENTRY') CREATE INDEX IDX_CONM_CONTRACTTENTRY ON T_CONM_CONTRACTTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_PURCONTRACTTENTRY', 'T_CONM_PURCONTRACTTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PURCONTRACTTENTRY') CREATE INDEX IDX_CONM_PURCONTRACTTENTRY ON T_CONM_PURCONTRACTTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_SALCONTRACTTENTRY', 'T_CONM_SALCONTRACTTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_SALCONTRACTTENTRY') CREATE INDEX IDX_CONM_SALCONTRACTTENTRY ON T_CONM_SALCONTRACTTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACT', 'T_CONM_XPURCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_BILLNO') CREATE INDEX IDX_CONM_XPURCONTRACT_BILLNO ON T_CONM_XPURCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACT_F', 'T_CONM_XPURCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_F') CREATE INDEX IDX_CONM_XPURCONTRACT_F ON T_CONM_XPURCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACT_L', 'T_CONM_XPURCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_L') CREATE INDEX IDX_CONM_XPURCONTRACT_L ON T_CONM_XPURCONTRACT_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_L_NAME') CREATE INDEX IDX_CONM_XPURCONTRACT_L_NAME ON T_CONM_XPURCONTRACT_L ( FBILLNAME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_CPURCONTRACT_S', 'T_CONM_CPURCONTRACT_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_S') CREATE INDEX IDX_CONM_XPURCONTRACT_S ON T_CONM_CPURCONTRACT_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACT_X', 'T_CONM_XPURCONTRACT_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACT_X') CREATE INDEX IDX_CONM_XPURCONTRACT_X ON T_CONM_XPURCONTRACT_X ( FCHANGEBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACTENTRY', 'T_CONM_XPURCONTRACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACTENTRY') CREATE INDEX IDX_CONM_XPURCONTRACTENTRY ON T_CONM_XPURCONTRACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACTENTRY_F', 'T_CONM_XPURCONTRACTENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACTENTRY_F') CREATE INDEX IDX_CONM_XPURCONTRACTENTRY_F ON T_CONM_XPURCONTRACTENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACTENTRY_R', 'T_CONM_XPURCONTRACTENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACTENTRY_R') CREATE INDEX IDX_CONM_XPURCONTRACTENTRY_R ON T_CONM_XPURCONTRACTENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACTPENTRY', 'T_CONM_XPURCONTRACTPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACTPENTRY') CREATE INDEX IDX_CONM_XPURCONTRACTPENTRY ON T_CONM_XPURCONTRACTPENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XPURCONTRACTTENTRY', 'T_CONM_XPURCONTRACTTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XPURCONTRACTTENTRY') CREATE INDEX IDX_CONM_XPURCONTRACTTENTRY ON T_CONM_XPURCONTRACTTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACT', 'T_CONM_XSALCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_BILLNO') CREATE INDEX IDX_CONM_XSALCONTRACT_BILLNO ON T_CONM_XSALCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACT_C', 'T_CONM_XSALCONTRACT_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_C') CREATE INDEX IDX_CONM_XSALCONTRACT_C ON T_CONM_XSALCONTRACT_C ( FCUSTOMERID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACT_F', 'T_CONM_XSALCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_F') CREATE INDEX IDX_CONM_XSALCONTRACT_F ON T_CONM_XSALCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACT_L', 'T_CONM_XSALCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_L') CREATE INDEX IDX_CONM_XSALCONTRACT_L ON T_CONM_XSALCONTRACT_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_L_NAME') CREATE INDEX IDX_CONM_XSALCONTRACT_L_NAME ON T_CONM_XSALCONTRACT_L ( FBILLNAME ,FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACT_X', 'T_CONM_XSALCONTRACT_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACT_X') CREATE INDEX IDX_CONM_XSALCONTRACT_X ON T_CONM_XSALCONTRACT_X ( FCHANGEBILLNO );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACTENTRY', 'T_CONM_XSALCONTRACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACTENTRY') CREATE INDEX IDX_CONM_XSALCONTRACTENTRY ON T_CONM_XSALCONTRACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACTENTRY_F', 'T_CONM_XSALCONTRACTENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACTENTRY_F') CREATE INDEX IDX_CONM_XSALCONTRACTENTRY_F ON T_CONM_XSALCONTRACTENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACTENTRY_R', 'T_CONM_XSALCONTRACTENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACTENTRY_R') CREATE INDEX IDX_CONM_XSALCONTRACTENTRY_R ON T_CONM_XSALCONTRACTENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACTPENTRY', 'T_CONM_XSALCONTRACTPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACTPENTRY') CREATE INDEX IDX_CONM_XSALCONTRACTPENTRY ON T_CONM_XSALCONTRACTPENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_XSALCONTRACTTENTRY', 'T_CONM_XSALCONTRACTTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_XSALCONTRACTTENTRY') CREATE INDEX IDX_CONM_XSALCONTRACTTENTRY ON T_CONM_XSALCONTRACTTENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
