/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
/** 由于在1.5.5版本中没有生成合同模板脚步，手动做的合同模板脚步 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_TEMPLATE') 
CREATE TABLE T_CONM_TEMPLATE (
   FID           bigint        default 0   not null,
   FConType      varchar(5)    default ' ' not null,
   FConTextType  varchar(5)    default ' ' not null,
   FNumber       nvarchar(80)  default ' ' not null,
   FStatus       varchar(5)    default ' ' not null,
   FEnable       varchar(5)    default ' ' not null,
   FCreatorID    bigint        default 0   not null,
   FCreateTime   datetime ,   
   FModifierID   bigint        default 0   not null,
   FModifyTime   datetime ,   
   FDisablerID   bigint        default 0   not null,
   FDisableDate  datetime ,   
   FAuditorID    bigint        default 0   not null,
   FAuditTime    datetime  
) ;
    

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_TEMPLATE_L') 
CREATE TABLE T_CONM_TEMPLATE_L (                                  
   FPKID        varchar(36)    default ' ' not null,
   FID          bigint         default 0   not null,  
   FLocaleID    varchar(10)    default ' ' not null,
   FName        nvarchar(100)  default ' ' not null,
   FDescription nvarchar(255)  default ' '    
) ;    


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_TEMPLATEENTRY')   
CREATE TABLE T_CONM_TEMPLATEENTRY (                                                                                           
   FEntryID             bigint  default 0 not null,  
   FID                  bigint  default 0 not null,  
   FSeq                 bigint  default 0 not null,  
   FComponentID         bigint  default 0 not null,  
   FIsVisible           char(1) default '0' not null,
   FIsMust              char(1) default '0' not null,
   FIsEnable            char(1) default '0' not null,
   FIsSys               char(1) default '0' not null,
   FEntryComment        nvarchar(512)  default ' ',    
   FFieldJson_Tag       NCLOB,                                         
   FParamJson_Tag       NCLOB,                                        
   FFieldJson           nvarchar(512),
   FParamJson           nvarchar(512)                   
) ;    

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/                                                           